import { GraphQueryResultFromBackend } from '../../data-access/store/graphQueryResultSlice';

// Get node type based on _id or label
const getNodeLabel = (node: GraphQueryResultFromBackend['nodes'][number]): string => {
  let nodeType = node._id.split('/')[0];
  if (node.label) nodeType = node.label;
  else if (Array.isArray(node.attributes?.labels) && node.attributes.labels.length > 0) {
    nodeType = node.attributes.labels[0]; // Safely access first label
  }

  return nodeType;
};

// Get edge type based on _id or attributes
const getEdgeType = (edge: GraphQueryResultFromBackend['edges'][number]): string => {
  let edgeType = edge._id.split('/')[0];
  if (!edge._id.includes('/')) {
    edgeType = edge.attributes.Type as string;
  }
  if (edge.label) edgeType = edge.label;
  return edgeType;
};

export { getNodeLabel, getEdgeType };
